
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }
  
  body {
    font-family: poppins;
    background-color: #EBEBEB;
  }

.logo img{
    height: 100%;
    width: 134px;
}

.logo a{
    display: flex;
    align-items: center;
}

.logo{
    flex: 0.5;
    align-items: center;
    transform: translate(350px, -23px);
}

nav{
    background: #ffe600;
    padding: 7.5px;
    display: flex;
    align-items: center;
}

nav a{
    color: black;
    text-decoration: none;
}


.menu{
    display: flex;
    justify-content: center;
    align-items: center;
    list-style: none;
}

.menu li{
    padding: 7px;
    font-size: 13px;
    transform: translate(20px, 32px);;
}

.menu2{
    display: flex;
    justify-content: center;
    align-items: center;
    list-style: none;
}

.menu2 li{
    padding: 7.5px;
    font-size: 13px;
    transform: translate(150px, 32px);
}

.barradepesquisa{
    position: absolute;
    width: 610px;
    background: rgb(255, 255, 255);
    top: 1%;
    left: 27.5%;
}

.pesquisa{
    width: 400px;
    height: 40px;
    font-family: poppins;
    background-color: #ffffff;
    border: none;
}

.iconpesquisa{
    left: 10px;
}

@keyframes tonext {
    75% {
      left: 0;
    }
    95% {
      left: 100%;
    }
    98% {
      left: 100%;
    }
    99% {
      left: 0;
    }
  }
  
  @keyframes tostart {
    75% {
      left: 0;
    }
    95% {
      left: -300%;
    }
    98% {
      left: -300%;
    }
    99% {
      left: 0;
    }
  }
  
  @keyframes snap {
    96% {

    }
    97% {
      scroll-snap-align: none;
    }
    99% {
      scroll-snap-align: none;
    }
    100% {
      scroll-snap-align: center;
    }
  }
  
  * {
    box-sizing: border-box;
    scrollbar-color: transparent transparent; /* thumb and track color */
    scrollbar-width: 0px;
  }
  
  *::-webkit-scrollbar {
    width: 0;
  }
  
  *::-webkit-scrollbar-track {
    background: transparent;
  }
  
  *::-webkit-scrollbar-thumb {
    background: transparent;
    border: none;
  }
  
  * {
    -ms-overflow-style: none;
  }
  ol, li {
    list-style: none;
    text-decoration: none;
    margin: 0;
    padding: 0;
  }
  
  .carousel {
    position: relative;
    padding-top: 75%;
  }
  
  .carousel__viewport {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    display: flex;
    overflow-x: scroll;
    counter-reset: item;
    scroll-behavior: smooth;
    scroll-snap-type: x mandatory;
    overflow-y: hidden;
  }
  
  .carousel__slide1 {
    position: relative;
    flex: 0 0 100%;
    width: 100%;
    height: 500px;
    background: linear-gradient(rgba(255, 255, 255, 0), rgba(235, 235, 235)90%), url('slide1.jpg');
    counter-increment: item;
  }
  .carousel__slide2 {
    position: relative;
    flex: 0 0 100%;
    width: 100%;
    height: 500px;
    background: linear-gradient(rgba(255, 255, 255, 0), rgba(235, 235, 235)90%), url('slide2.jpg');
    counter-increment: item;
  }
  .carousel__slide3 {
    position: relative;
    flex: 0 0 100%;
    width: 100%;
    height: 500px;
    background: linear-gradient(rgba(255, 255, 255, 0), rgba(235, 235, 235)90%), url('slide3.jpg');
    counter-increment: item;
  }
  .carousel__slide4 {
    position: relative;
    flex: 0 0 100%;
    width: 100%;
    height: 500px;
    background: linear-gradient(rgba(255, 255, 255, 0), rgba(235, 235, 235)90%), url('slide4.jpg');
    counter-increment: item;
  }
  
  .carousel__slide:before {
    content: counter(item);
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate3d(-50%,-40%,70px);
    color: #fff;
    font-size: 2em;
  }
  
  .carousel__snapper {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    scroll-snap-align: center;
  }
  
  .carousel:hover .carousel__snapper,
  .carousel:focus-within .carousel__snapper {
    animation-name: none;
  }
  
  .carousel__navigation {
    position: absolute;
    right: 0;
    bottom: 1040px;
    left: 0;
    text-align: center;
  }
  
  .carousel__navigation-list,
  .carousel__navigation-item {
    display: inline-block;
  }
  
  .carousel__navigation-button {
    display: inline-block;
    width: 7px;
    height: 7px;
    background-color: #636363;
    opacity: 75%;
    background-clip: content-box;
    border: 1px solid white;
    border-radius: 50%;
    font-size: 0;
    transition: transform 0.1s;
  }
  
  .carousel::before,
  .carousel::after,
  .carousel__prev,
  .carousel__next {
    position: absolute;
    top: 0;
    margin-top: 37.5%;
    width: 4rem;
    height: 4rem;
    transform: translateY(-50%);
    border-radius: 50%;
    font-size: 0;
    outline: 0;
  }
  
  .carousel::before,
  .carousel__prev {
    top: -470px;
    border-bottom-right-radius: 64px;
    border-top-right-radius: 64px;
    border-bottom-left-radius: 0px;
    border-top-left-radius: 0px;
    z-index: 99;
  }
  
  .carousel::after,
  .carousel__next {
    right: 0px;
    top: -470px;
    border-bottom-left-radius: 64px;
    border-top-left-radius: 64px;
    border-bottom-right-radius: 0px;
    border-top-right-radius: 0px;
    z-index: 99;
  }
  .carousel::before,
  .carousel::after {
    content: '';
    z-index: 1;
    background-color: #ffffff;
    box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.25);
    background-size: 1.5rem 1.5rem;
    background-repeat: no-repeat;
    background-position: center center;
    color: #fff;
    font-size: 2.5rem;
    line-height: 4rem;
    text-align: center;
    pointer-events: none;
  }
  
  .carousel::before {
    background-image: url("chevron-left-regular-24.png");
  }
  
  .carousel::after {
    background-image: url("chevron-right-regular-24.png");
  }
  
  .body {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    gap:16px;
    background-image: url("tricodando.png");
    transform: scale(1,1);
    transform: translateY(-1340px);
  }
  .card {
    background-color: #fff;
    width: 180px;
    height: 290px;
    border-radius: 8px;
    box-shadow: 1px 1px 6px #aaaa;
  }
  
  .card span:hover{
    color: #17a2ff;
  }
  
  .card img {
    width: 95%;
    height: 125px;
    border-top-left-radius: 12px;
    border-top-right-radius: 12px;
    transform: translateY(35px);
  }
  .card div {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 4px;
    height: 50%;
  }
  .card span {
    font-size: 13px;
    text-align: center;
  
  }
  .card button {
    background-color: #95d4ff;
    height: 23px;
    border: none;
    padding: 4px;
    width: 80%;
    color: #1998ff;
    font-size: 0.8rem;
    font-weight: bold;
    border-radius: 4px;
    transition: 0.2s;
    transform: translateY(20px);
  }
  .card button:hover {
    color: #8dcaf3;
    cursor: pointer;
  }
  
  .body h3{
    font-size: 15px;
    transform: translate(5px, 5px);
  }
  
  .body2 {
    padding: 20px;
    background-color: white;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
    transform: scale(0.63,0.63) translateY(-2720px);;
  }

  .body3 {
    padding: 20px;
    background-color: white;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
    transform: scale(0.63,0.63) translateY(-2975px);;
  }
  
  .product-list {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(225px, 1fr));
    gap: 20px;
    list-style: none;
  }
    .product-item {
    position: relative;
    padding: 16px;
    top: 50px;
    transition: transform 0.2s
  }
  
  .product-info:hover {
    color: #17a2ff;
  }
  
  .product-item img {
    width: 100%;
    height: auto;
    border-radius: 8px 8px 0 0;
  }

  .product-list h1{
    position: absolute;
    font-size: 25px;
    font-weight: 500;
    left: 20px;
    top: 15px;
  }
  
  .product-info {
    padding: 12px 0;
    transform: translateY(-30px);
  }
  
  .product-info2 {
    padding: 12px 0;
  }


  .product-title {
    font-size: 1rem;
    margin-bottom: 8px;
    color: #000000;
  }
  
  .product-price{
    font-size: 2rem;
    margin-top: 20px;
  }
  
  .product-x{
    font-size: 1rem;
    margin-top: 20px;
  }

  .product-list2 {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
    gap: 20px;
    list-style: none;
    border-radius: 8px;
    transform: translateY(350px);
  }
  
  .product-item2 {
    padding: 16px;
    background-color: white;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
    transform: scaleY(0.75);
    transition: transform 0.2
  }

  .product-item2 img{
    position: relative;
    transform: scale(0.83,1.12);
    left: 396px;
    top: 15.5px;
  }

   h2{
    font-size: 50px;
    position: absolute;
    top: 220px;
    transform: scaleX(0.75);
  }

  .h2{
    position: absolute;
    top: 260px;
  }

  .h21{
    position: absolute;
    top: 220px;
    left: 33px;
  }

  .body4 {
    padding: 20px;
    transform: scale(0.64,0.64) translateY(-3650px);;
  }

  .btn-product{
    position: absolute;
    transform: scale(1.4,1.7);
    top: 350px;
    left: 100px;
    background-color: #1741ff;
    border: none;
    color: white;
    padding: 15px 32px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    margin: 4px 2px;
    cursor: pointer;
    border-radius: 12px; 
    transition: background-color 0.3s ease;
}

.styled-button:hover {
    background-color: #173bdb;
}

.body5 {
  padding: 20px;
  background-color: white;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
  border-radius: 8px;
  transform: scale(0.63,0.63) translateY(-3720px);;
}

.body6 {
  padding: 20px;
  background-color: white;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
  border-radius: 8px;
  transform: scale(0.63,0.63) translateY(-3960px);;
}

.categories-section {
  padding: 40px 0;
  background-color: #ffffff;
  text-align: center;
  border-radius: 8px;
  transform: scale(0.63,0.75) translateY(-3470px);;
}

.categories-section h2 {
  position: absolute;
  font-size: 25px;
  font-weight: 500;
  text-align: left;
  margin-bottom: 20px;
  color: #333;
  left: 50px;
  top: 10px;
  transform: scale(1.2,1);
}

.categories-container {
  display: flex;
  justify-content: center;
  background-color: #fff;
  flex-wrap: wrap;
  gap: 25px 175px;
}

.category {
  position: relative;
  top: 20px;
  width: 300px;
  height: 100px;
  padding: 10px;
  border: 1px solid #969696;
  border-radius: 8px;
  text-align: center;
  transform: scale(1.2,1);
}

.category img {
  position: relative;
  width: 100px;
  height: 98px;
  margin-bottom: 10px;
  top: -10px;
  right: 99px;
  border-bottom-right-radius: 0px;
  border-top-right-radius: 0px;
  border-bottom-left-radius: 8px;
  border-top-left-radius: 8px;
  background-color: #EBEBEB;;
}

.category p {
  position: relative;
  font-size: 16px;
  top: -95px;
  left: 120px;
  text-align: left;
  color: #333;
}

.category p:hover {
  color: #1998ff;
}
